package cn.stylefeng.guns.zjxl.model.ret;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * Created by chenweida on 2017/8/17.
 * 对外放回的实体
 */
@ApiModel("返回的实体类")
public class ResultOneModel<T> extends BaseResultModel {

    @ApiModelProperty(value = "返回数据", required = false, access = "response")
    private T result;

    public T getResult() {
        return result;
    }

    public void setResult(T result) {
        this.result = result;
    }

    public ResultOneModel(T result) {
        this.result = result;
    }

    public ResultOneModel() {
    }

    public ResultOneModel(Integer code, String message) {
        super(code, message);
    }

    public ResultOneModel(Integer status, String message, T result) {
        super(status, message);
        this.result = result;
    }
}
